#!/bin/bash

# Make sure to transmit possible additional arguments assigned by mpirun to
# the executable with some MPI-1 implementations:
# we use $@ to forward arguments passed to this script to the executable files.

MPI_RANK=`/home/lzhang/Code_Saturne/5.0.8/code_saturne-5.0.8/arch/Linux_x86_64/share/code_saturne/runcase_mpi_rank $@`
if [ $MPI_RANK -lt 1 ] ; then
  cd /gpfs/workdir/lzhang/Cas/test_2instances/RESU_COUPLING/20190223-1544/fluid1
  ./cs_solver --param tuto_viv.xml --mpi --app-name fluid1 $@
elif [ $MPI_RANK -lt 2 ] ; then
  cd /gpfs/workdir/lzhang/Cas/test_2instances/RESU_COUPLING/20190223-1544/fluid2
  ./cs_solver --param tuto_viv.xml --mpi --app-name fluid2 $@
fi
CS_RET=$?
exit $CS_RET
